<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Very Cool Bank</title>
    <style>
        .buyLaptop {
            border: 3px outset grey;
            background-color: lightblue;
            text-align: center;
        }
        .bankDiv {
            border: 3px outset grey;
            background-color: lightblue;
            text-align: center;
        }
        .workDiv {
            border: 3px outset grey;
            background-color: lightblue;
            text-align: center;
        }
        .button {
            background-color: pink; 
            border: none;
            color: black;
            padding: 20px;
            text-align: center;
            text-decoration: none;
            display: inline-block;
            font-size: 16px;
            margin: 4px 2px;
            cursor: pointer;
            }
        .basicButton {border-radius: 12px;}
        .loanButton {
            border-radius: 12px;
            visibility: hidden;
        }
        .loanText {visibility: hidden;}
        .flexContainer {
            border-radius: 12px;
            display: flex;
            max-width: 1200px;
            margin: 0 auto;
            align-items: center;
        }
        .lapTopSale {
            border: 3px outset grey;
            background-color: lightblue;
            text-align: center;
        }
    </style>
</head>
<body>

    <h1>Welcome to Cool Bank Inc</h1>

    <div class="flexContainer">
        <div class="bankDiv">
            <h2>Your own Cool Bank</h2>
            <p id="totalCash">Balance: 0 NOK</p>
            <button class="button basicButton" id="loan" onclick="outStandingLoan()">Get a loan</button>
            <button class="button loanButton" id="payLoan">Pay back loan</button>
            <p id="loanText" class="loanText"></p>
        </div>

        <div class="workDiv">
            <h2>It is time for Work</h2>
            <p id="earnedMoney">Earned: 0</p>
            <button class="button basicButton" id="work">Work</button>
            <button class="button basicButton" id="workToBank">Bank</button>
        </div>
    
        <div class="buyLaptop">
            <h2>Amazing Laptops for initial-scale</h2>
            <select name="laptops" id="laptops">
            </select>
            <p>Features: </p>
            <span id="featureText"></span>
        </div>
    </div>

    <div class="lapTopSale">
        <span id="laptopName"></span>
        <span id="laptopSpecs"></span>
        <img id="laptopImage"/>
        <span id="price"></span>
        <button class="button basicButton" id="pay">Pay now</button>
    </div>
    
    <script src="bank.js"></script>
</body>

</html>